#!/bin/bash

(
  j=`head -n 1 tgt_estac.txt`
  vr=`grep $j lista_2.dat`
  if test -n "$vr"
  then
    echo Estacion $j ya estaba en SAC
  else


  n=2*_$j*.sac
  echo Archivo $n

  for i in $n
  do
    echo $i
    ev_name=`echo $i | cut -c1-13`
    st_name=`echo $i | cut -c18-21`
    cp_name=`echo $i | cut -c25-26`
    echo La componente es $cp_name
if [ -f e_time.dat ]
then
  rm e_time.dat
fi
sac<<END
r $i
setbb e_name &1,KCMPNM
getbb to e_time.dat names off newline off e_name
q
END
rc=`awk '{print $1}' e_time.dat | cut -c1-4`
y1=`grep $rc vpu.dat | awk '{print $5}'`
echo Valor de rc es $rc
      if [ $cp_name = "_1" ]
      then
       cx=Z
       x1=`grep $rc vpu.dat | awk '{print $2}'`
      fi
      if [ $cp_name = "_2" ]
      then
       cx=N
       x1=`grep $rc vpu.dat | awk '{print $3}'`
      fi
      if [ $cp_name = "_3" ]
      then
       cx=E
       x1=`grep $rc vpu.dat | awk '{print $4}'`
      fi
    fn=sac_$ev_name.$cp_name.$st_name
    lon_stname=`grep $st_name coord.txt | awk '{print $2}'`
    lat_stname=`grep $st_name coord.txt | awk '{print $3}'`
    elv_stname=`grep $st_name coord.txt | awk '{print $4}'`
    cp $i $fn

sac<<END
r $fn
chnhdr b 0.0
chnhdr kcmpnm $cx
chnhdr lovrok true
chnhdr stla $lat_stname
chnhdr stlo $lon_stname
chnhdr stel $elv_stname
div $x1
mul 980
mul 1e-6
mul $y1
rmean
rtrend
rmean
bp bu CO 0.1 25.0 
w sac over
quit
END

  done

fi
)
